# Class TreeControlCellComponent

#### Implements

- OnInit
- DoCheck

- Defined in packages/angular/material/table-system/src/lib/cells/tree-control-cell/tree-control-cell.component.ts:27

#####
Index

### Constructors

constructor

### Properties

element
expandIcon
icon
offset

### Methods

ngDoCheck
ngOnInit
toggleExpand

##
Constructors

### constructor

- new TreeControlCellComponent(): TreeControlCellComponent

  #### Returns TreeControlCellComponent

##
Properties

### element

element: any

- Defined in packages/angular/material/table-system/src/lib/cells/tree-control-cell/tree-control-cell.component.ts:35

### expandIcon

expandIcon: string

- Defined in packages/angular/material/table-system/src/lib/cells/tree-control-cell/tree-control-cell.component.ts:32

### icon

icon: IconConfig

- Defined in packages/angular/material/table-system/src/lib/cells/tree-control-cell/tree-control-cell.component.ts:30

### offset

offset: string

- Defined in packages/angular/material/table-system/src/lib/cells/tree-control-cell/tree-control-cell.component.ts:29

##
Methods

### ngDoCheck

- ngDoCheck(): void

  A callback method that performs change-detection, invoked after the default change-detector runs. See `KeyValueDiffers` and `IterableDiffers` for implementing custom change checking for collections.

  #### Returns void

  Implementation of DoCheck.ngDoCheck

  - Defined in packages/angular/material/table-system/src/lib/cells/tree-control-cell/tree-control-cell.component.ts:42

### ngOnInit

- ngOnInit(): void

  A callback method that is invoked immediately after the default change detector has checked the directive's data-bound properties for the first time, and before any of the view or content children have been checked. It is invoked only once when the directive is instantiated.

  #### Returns void

  Implementation of OnInit.ngOnInit

  - Defined in packages/angular/material/table-system/src/lib/cells/tree-control-cell/tree-control-cell.component.ts:37

### toggleExpand

- toggleExpand(): any

  #### Returns any

  - Defined in packages/angular/material/table-system/src/lib/cells/tree-control-cell/tree-control-cell.component.ts:46